#!/bin/sh
# Install the MapWOC workaround for incompatible intel kernel module

arch_intel=$(grep -c -e "vendor_id.*intel" -i /proc/cpuinfo)

KVERS=$(uname -r)

if [ $arch_intel -gt 0 ] ; then
    echo "Installing mapwoc KVM Kernel Modules for Intel Processors."
    cp "/usr/lib/mapwoc/modules/kvm-intel.ko" \
       "/lib/modules/$KVERS/kernel/arch/x86/kvm/kvm-intel.ko"
    cp "/usr/lib/mapwoc/modules/kvm.ko" \
       "/lib/modules/$KVERS/kernel/arch/x86/kvm/kvm.ko"
fi
